Bug 1098800 - neovim does not provide its system-wide configuration
neovim does not provide its system-wide configuration
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Matej Cepl
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-06-22 11:51 UTC by Tomáš Chvátal
Modified: 2019-02-12 11:08 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
patch between my SPEC and the one from editors:neovim (5.51 KB, patch)
2018-06-29 13:12 UTC, Matej Cepl
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tomáš Chvátal 2018-06-22 11:51:30 UTC
User configuration is:
~/.config/nvim/init.vim

System wide location is:
/usr/share/nvim/sysinit.vim

We should change it to point to /etc and provide some basic setup comparable to /etc/vimrc
Comment 1 Martin Liška 2018-06-22 11:57:07 UTC
Agree.
Comment 2 Matej Cepl 2018-06-22 13:07:01 UTC
System-wide configuration could be in /etc/xdg/nvim/init.vim (see :set runtimepath?), so this is probably NOTABUG.
Comment 3 Tomáš Chvátal 2018-06-22 13:09:53 UTC
We still should provide some defaults like regular vim :)

But I didn't test if the xdg loading merge with the user config or if the user completely override.

Also the /etc/xdg/nvim folder is not packaged.
Comment 4 Matej Cepl 2018-06-22 13:46:41 UTC
Martin, take a look at https://build.opensuse.org/package/view_file/home:mcepl:neovim/neovim/neovim.spec I think you can take over some stuff from it.
Comment 5 Martin Liška 2018-06-29 11:33:41 UTC
(In reply to Matej Cepl from comment #4)
> Martin, take a look at
> https://build.opensuse.org/package/view_file/home:mcepl:neovim/neovim/neovim.
> spec I think you can take over some stuff from it.

Can you please create a diff (or ideally a SR) of default configuration you have in your private neovim repository?
Comment 6 Matej Cepl 2018-06-29 13:12:37 UTC
Created attachment 775715 [details]
patch between my SPEC and the one from editors:neovim

(In reply to Martin Liška from comment #5)
> Can you please create a diff (or ideally a SR) of default configuration you
> have in your private neovim repository?

Here.
Comment 7 Matej Cepl 2018-06-29 13:13:28 UTC
(In reply to Matej Cepl from comment #6)
> Created attachment 775715 [details]
> patch between my SPEC and the one from editors:neovim
> 
> (In reply to Martin Liška from comment #5)
> > Can you please create a diff (or ideally a SR) of default configuration you
> > have in your private neovim repository?
> 
> Here.

However, you don'ŧ want to use it directly, because

a) I build also Fedora/RHEL packages from it,
b) it is against HEAD of the git repo, not the released tarballs
Comment 8 Martin Liška 2018-08-16 09:58:14 UTC
I'm sorry but I don't feel familiar with the sysconfig and default config file location. Leaving to somebody with bigger packaging skills.
Comment 9 Matej Cepl 2018-08-18 08:52:54 UTC
Some changes to the location of the system-wide configuration file were included in https://build.opensuse.org/request/show/630057, but the true resolution of this problem needs C-level coding and changes upstream. I have filed https://github.com/neovim/neovim/issues/8871 ticket for that, so I am closing this bug as UPSTREAM.
Comment 10 Matej Cepl 2018-08-18 17:29:25 UTC
OK, so I have learned the situation is not that catastrophic. https://build.opensuse.org/request/show/630090 should fix the issue.
Comment 11 Swamp Workflow Management 2018-12-08 18:10:13 UTC
This is an autogenerated message for OBS integration:
This bug (1098800) was mentioned in
https://build.opensuse.org/request/show/656415 15.0 / libtermkey+lua51-bit32+neovim+python-neovim
Comment 12 Swamp Workflow Management 2019-02-08 11:11:03 UTC
openSUSE-RU-2019:0151-1: An update that has three recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1094627,1098800,1100496
CVE References: 
Sources used:
openSUSE Leap 15.0 (src):    libtermkey-0.20-lp150.2.3.1, lua51-bit32-5.3.0-lp150.2.1, neovim-0.3.1-lp150.2.3.1, python-neovim-0.3.1-lp150.2.3.1
Comment 13 Swamp Workflow Management 2019-02-12 11:08:56 UTC
openSUSE-RU-2019:0157-1: An update that has three recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1094627,1098800,1100496
CVE References: 
Sources used:
openSUSE Backports SLE-15 (src):    libtermkey-0.20-bp150.3.3.1, lua51-bit32-5.3.0-bp150.2.1, neovim-0.3.1-bp150.2.3.1, python-neovim-0.3.1-bp150.3.3.1